I cant create a cookbook after updating to chef 10.10


#1

So…I update knife kife ec2, chef oon my local dev server. I wanted
to create a new cookbook and I got the below.

How do I resolve?

ubuntu@ubuntu:~/workspace/rtb_chef/chef-repo/cookbooks$ rake
new_cookbook COOKBOOK=nodejs --trace
(in /home/ubuntu/workspace/rtb_chef/chef-repo)
rake aborted!
uninitialized constant Gem::UserInteraction
/usr/lib/ruby/1.8/rake.rb:2503:in const_missing' /usr/lib/ruby/1.8/rubygems/remote_fetcher.rb:14 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/1.8/rubygems/spec_fetcher.rb:4 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef/provider/package/rubygems.rb:32 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef/providers.rb:59 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef.rb:25 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /home/ubuntu/workspace/rtb_chef/chef-repo/Rakefile:22 /usr/lib/ruby/1.8/rake.rb:2383:inload’
/usr/lib/ruby/1.8/rake.rb:2383:in raw_load_rakefile' /usr/lib/ruby/1.8/rake.rb:2017:inload_rakefile’
/usr/lib/ruby/1.8/rake.rb:2068:in standard_exception_handling' /usr/lib/ruby/1.8/rake.rb:2016:inload_rakefile’
/usr/lib/ruby/1.8/rake.rb:2000:in run' /usr/lib/ruby/1.8/rake.rb:2068:instandard_exception_handling’
/usr/lib/ruby/1.8/rake.rb:1998:in `run’
/usr/bin/rake:28


#2

Use knife cookbook create cookbook_name


@millisami
~ Sachin Sagar Rai
Ruby on Rails Developer
http://tfm.com.np
http://nepalonrails.tumblr.com
Sent with Sparrow (http://www.sparrowmailapp.com/?sig)

On Saturday, May 19, 2012 at 7:08 AM, David Montgomery wrote:

So…I update knife kife ec2, chef oon my local dev server. I wanted
to create a new cookbook and I got the below.

How do I resolve?

ubuntu@ubuntu:~/workspace/rtb_chef/chef-repo/cookbooks$ rake
new_cookbook COOKBOOK=nodejs --trace
(in /home/ubuntu/workspace/rtb_chef/chef-repo)
rake aborted!
uninitialized constant Gem::UserInteraction
/usr/lib/ruby/1.8/rake.rb:2503:in const_missing' /usr/lib/ruby/1.8/rubygems/remote_fetcher.rb:14 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/1.8/rubygems/spec_fetcher.rb:4 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef/provider/package/rubygems.rb:32 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef/providers.rb:59 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /usr/lib/ruby/vendor_ruby/chef.rb:25 /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:ingem_original_require’
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in require' /home/ubuntu/workspace/rtb_chef/chef-repo/Rakefile:22 /usr/lib/ruby/1.8/rake.rb:2383:inload’
/usr/lib/ruby/1.8/rake.rb:2383:in raw_load_rakefile' /usr/lib/ruby/1.8/rake.rb:2017:inload_rakefile’
/usr/lib/ruby/1.8/rake.rb:2068:in standard_exception_handling' /usr/lib/ruby/1.8/rake.rb:2016:inload_rakefile’
/usr/lib/ruby/1.8/rake.rb:2000:in run' /usr/lib/ruby/1.8/rake.rb:2068:instandard_exception_handling’
/usr/lib/ruby/1.8/rake.rb:1998:in `run’
/usr/bin/rake:28